> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudsquid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload CSV to Storage Table

> Overwrite or append csv data to a storage table.



## OpenAPI

````yaml put /projects/{project_name}/tables/{table_id}
openapi: 3.0.3
info:
  title: Cloudsquid
  description: This is the backend of cloudsquid specification
  termsOfService: cloudsquid.io
  contact:
    email: info@cloudsquid.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.11
servers:
  - url: https://api.cloudsquid.io/api
    description: API
security:
  - api-key: []
paths:
  /projects/{project_name}/tables/{table_id}:
    parameters:
      - name: project_name
        in: path
        required: true
        description: The name of the project
        schema:
          type: string
      - name: table_id
        in: path
        required: true
        description: The id of the table
        schema:
          type: string
          format: uuid
    put:
      tags:
        - tables
      summary: PUT /projects/{project_name}/tables/{table_id}
      description: overwrite a storage table
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateStorageTable'
      responses:
        '200':
          description: Successfully updated table
        '500':
          description: Something went wrong
components:
  schemas:
    UpdateStorageTable:
      description: Update storage Table Configuration
      type: object
      properties:
        mode:
          type: string
          enum:
            - append
            - overwrite
          description: update table mode
        document:
          $ref: '#/components/schemas/Document'
          description: the document you want to upload to storage
      required:
        - name
        - document
        - mode
    Document:
      type: object
      properties:
        mimetype:
          description: the mimetype of the document being uploaded
          type: string
          enum:
            - application/pdf
            - application/json
            - image/jpg
            - image/jpeg
            - image/png
            - text/csv
            - text/plain
            - application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
            - application/vnd.ms-excel
            - video/mp4
            - audio/mp3
            - audio/wav
            - audio/ogg
            - multipart/related
            - message/rfc822
        filename:
          description: the name of the file being uploaded
          type: string
        file_type:
          description: >-
            Indicates whether the file is a binary upload or a signed link to
            the document.
          type: string
          enum:
            - uri
            - binary
            - multipart
        file:
          oneOf:
            - type: string
              format: uri
              description: A signed URL to the file.
            - type: string
              description: A base64 encoded string of the file.
            - type: array
              description: A multipart file upload.
              items:
                type: object
                properties:
                  text:
                    type: string
                    description: The text content of the file.
                  file:
                    type: object
                    properties:
                      mimetype:
                        type: string
                        description: The MIME type of the file.
                      file_type:
                        description: >-
                          Indicates whether the file is a binary upload or a
                          signed link to the document.
                        type: string
                        enum:
                          - uri
                          - binary
                      content:
                        oneOf:
                          - type: string
                            description: The base64 encoded content of the file.
                          - type: string
                            format: uri
                            description: A signed URL to the file.
                    required:
                      - mimetype
                      - file_type
                      - content
      required:
        - file
        - mimetype
        - filename
        - file_type
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````